Loading...
Searching...
No Matches
BALL::DockProblem Class Reference

`#include <BALL/DOCKING/GENETICDOCK/dockProblem.h>`

## Public Member Functions

| DockProblem ()
| DockProblem (AtomContainer &sys_lig, BALL::ScoringFunction *sf, EvolutionaryDocking *docker, bool post_dock_optimization)
virtual | ~DockProblem ()
virtual void | setup (AtomContainer &sys_lig)
virtual double | calculate ()
void | move ()
bool | redraw ()
AtomContainer * | getLigand ()
void | connectTo (GeneticAlgorithm *opt)

## Protected Member Functions

void | restore ()

## Protected Attributes

EvolutionaryDocking * | docker_
DoubleParameter | double_parameter_
QuaternionParameter | quaternion_parameter_
AtomContainer * | ligand_
AtomContainer * | draw_ligand_
Vector3 | t_origin_
Vector3 | t_extension_
Vector3 | binding_pocket_center_
BALL::ScoringFunction * | scoring_function_
std::vector< Vector3 > | ligand_positions_
RotateBonds * | rb_
Options | opt_
bool | redraw_
bool | post_dock_optimization_

## Detailed Description

Definition at line 35 of file dockProblem.h.

## Constructor & Destructor Documentation

## DockProblem() [1/2]

BALL::DockProblem::DockProblem | ( |  | ) |

constructor

## DockProblem() [2/2]

BALL::DockProblem::DockProblem | ( | AtomContainer & | sys_lig,
|  | BALL::ScoringFunction * | sf,
|  | EvolutionaryDocking * | docker,
|  | bool | post_dock_optimization )

constructor

## ~DockProblem()

virtual BALL::DockProblem::~DockProblem | ( |  | ) |

virtual

destructor

## Member Function Documentation

## calculate()

virtual double BALL::DockProblem::calculate | ( |  | ) |

virtual

calculate fitness score for one individual

## connectTo()

void BALL::DockProblem::connectTo | ( | GeneticAlgorithm * | opt | ) |

## getLigand()

AtomContainer * BALL::DockProblem::getLigand | ( |  | ) |

## move()

void BALL::DockProblem::move | ( |  | ) |

move molecule according to vectors double_parameter_ and quaternion_parameter_, which are set by GeneticAlgorithm::calculate()

## redraw()

bool BALL::DockProblem::redraw | ( |  | ) |

true if best solution has changed

## restore()

void BALL::DockProblem::restore | ( |  | ) |

protected

set all rotable molecules to original positions

## setup()

virtual void BALL::DockProblem::setup | ( | AtomContainer & | sys_lig | ) |

virtual

## Member Data Documentation

## binding_pocket_center_

Vector3 BALL::DockProblem::binding_pocket_center_

protected

Definition at line 90 of file dockProblem.h.

## docker_

EvolutionaryDocking* BALL::DockProblem::docker_

protected

Definition at line 76 of file dockProblem.h.

## double_parameter_

DoubleParameter BALL::DockProblem::double_parameter_

protected

Definition at line 78 of file dockProblem.h.

## draw_ligand_

AtomContainer * BALL::DockProblem::draw_ligand_

protected

Definition at line 84 of file dockProblem.h.

## ligand_

AtomContainer* BALL::DockProblem::ligand_

protected

pointer to ligand molecule

Definition at line 84 of file dockProblem.h.

## ligand_positions_

std::vector<Vector3 > BALL::DockProblem::ligand_positions_

protected

Vector to restore the position values of the ligand

Definition at line 98 of file dockProblem.h.

## opt_

Options BALL::DockProblem::opt_

protected

amber options

Definition at line 112 of file dockProblem.h.

## post_dock_optimization_

bool BALL::DockProblem::post_dock_optimization_

protected

Definition at line 116 of file dockProblem.h.

## quaternion_parameter_

QuaternionParameter BALL::DockProblem::quaternion_parameter_

protected

Definition at line 80 of file dockProblem.h.

## rb_

RotateBonds* BALL::DockProblem::rb_

protected

rotate bonds class

Definition at line 102 of file dockProblem.h.

## redraw_

bool BALL::DockProblem::redraw_

protected

Definition at line 114 of file dockProblem.h.

## scoring_function_

BALL::ScoringFunction* BALL::DockProblem::scoring_function_

protected

calculate conformation score

Definition at line 94 of file dockProblem.h.

## t_extension_

Vector3 BALL::DockProblem::t_extension_

protected

Definition at line 88 of file dockProblem.h.

## t_origin_

Vector3 BALL::DockProblem::t_origin_

protected

variables to store position and extentions of ligand and receptor

Definition at line 88 of file dockProblem.h.